huihui0_0
2018-05-25 01:23
采纳率: 9.1%
浏览 796

linux服务器安装oracle 11g 报错

贴出报错图片,望大神解答!图片说明
这几个都安装有错。。。

  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

11条回答 默认 最新

  • u012743772 2018-05-25 02:12

    缺少依赖包

    先把依赖包装好

    sudo apt-get update

    sudo apt-get install
    .....

    依赖包不解决,你是永远也装不上的

    打赏 评论
  • devmiao 2018-05-25 02:31

    参考 https://www.cnblogs.com/xi52qian/p/4187039.html
    centos用yum,ubuntu用apt-get,你自己搞下,很简单

    打赏 评论
  • heisedeyekong999 2018-05-25 03:21

    centos用yum,ubuntu用apt-get,你自己搞下,很简单

    打赏 评论
  • huihui0_0 2018-05-25 06:56

    依赖包安装显示已安装,为什么检测不到图片说明

    打赏 评论
  • uniquewdl 2018-05-25 06:58

    只想说没事别在linux上直接装oracle,,,

    打赏 评论
  • qq_31640261 2018-05-25 07:39

    将截图中的那些依赖包都装上,不然没有办法安装的

    打赏 评论
  • 奋斗的小面包 2018-05-25 09:29

    这是由于相关依赖没有找到,你的动态库安装的位置linux找不到,因为linux只会在给定的几个目录下去查找,你可以自己修改shell的动态库查找路径,指定自己安装依赖的路径
    你可以参看这篇文章进行shell动态库查找路径的设置linux下的动态库相关讲解

    打赏 评论
  • qq_42207955 2018-05-25 16:16

    yum -y install binutils compat-libstdc++-33 compat-libstdc++-33.i686 elfutils-libelf elfutils-libelf-devel gcc gcc-c++ glibc glibc.i686 glibc-common glibc-devel glibc-devel.i686 glibc-headers ksh libaio libaio.i686 libaio-devel libaio-devel.i686 libgcc libgcc.i686 libstdc++ libstdc++.i686 libstdc++-devel make sysstat unixODBC unixODBC-devel
    依赖包

    打赏 评论
  • xiongsha521 2018-05-26 01:09

    安装所需要的依赖包,有些依赖包有安装的先后顺序,使用rpm -qa检查单个包的安装情况

    打赏 评论
  • ml1985kklt 2018-06-01 07:21

    截图里,选中一个,先看下边详细信息里,写的缺少的包是x86_64的还是i386的,如果是i386的,忽略就行了,因为看你后边截图,是已经安装了的,只不过安装的是x86_64的-------也有可能是i586或686的,只要装了就行。把截图里缺少的那些,挨个看一下

    打赏 评论
  • 杜瑞宇 2018-06-27 00:17

    重新设置yum源,安装依赖包吧。

    打赏 评论

相关推荐 更多相似问题